---
title: Get Worker Domain
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Workers](https://developers.cloudflare.com/api/python/resources/workers)

[Domains](https://developers.cloudflare.com/api/python/resources/workers/subresources/domains)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Worker Domain

workers.domains.get(strdomain\_id, DomainGetParams\*\*kwargs) -> [DomainGetResponse](<https://developers.cloudflare.com/api/python/resources/workers#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/workers/domains/{domain\_id}

Gets information about a Worker domain.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20workers.domains%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

domain\_id: str

ID of the domain.

[Link to this property](<#(resource)%20workers.domains%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20domain_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class DomainGetResponse: …

</summary>

id: str

Immutable ID of the domain.

<a href="#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

cert\_id: str

ID of the TLS certificate issued for the domain.

formatuuid

<a href="#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)%20%3E%20(property)%20cert_id">Link to this property</a>

Deprecatedenvironment: str

Worker environment associated with the domain.

<a href="#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)%20%3E%20(property)%20environment">Link to this property</a>

hostname: str

Hostname of the domain. Can be either the zone apex or a subdomain of the zone. Requests to this hostname will be routed to the configured Worker.

<a href="#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)%20%3E%20(property)%20hostname">Link to this property</a>

service: str

Name of the Worker associated with the domain. Requests to the configured hostname will be routed to this Worker.

<a href="#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)%20%3E%20(property)%20service">Link to this property</a>

zone\_id: str

ID of the zone containing the domain hostname.

<a href="#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)%20%3E%20(property)%20zone_id">Link to this property</a>

zone\_name: str

Name of the zone containing the domain hostname.

<a href="#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)%20%3E%20(property)%20zone_name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workers.domains%20%3E%20(model)%20domain_get_response%20%3E%20(schema)>)

### Get Worker Domain

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
domain = client.workers.domains.get(
    domain_id="dbe10b4bc17c295377eabd600e1787fd",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(domain.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "dbe10b4bc17c295377eabd600e1787fd",
    "cert_id": "9fdf92c8-64c2-4a3d-b1af-e15304961145",
    "environment": "production",
    "hostname": "app.example.com",
    "service": "my-worker",
    "zone_id": "593c9c94de529bbbfaac7c53ced0447d",
    "zone_name": "example.com"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "dbe10b4bc17c295377eabd600e1787fd",
    "cert_id": "9fdf92c8-64c2-4a3d-b1af-e15304961145",
    "environment": "production",
    "hostname": "app.example.com",
    "service": "my-worker",
    "zone_id": "593c9c94de529bbbfaac7c53ced0447d",
    "zone_name": "example.com"
  },
  "success": true
}
```